[package]
name = "commonware-chat"
edition.workspace = true
publish = true
version.workspace = true
license.workspace = true
description = "Send encrypted messages to a group of friends using commonware-cryptography and commonware-p2p."
readme = "README.md"
homepage.workspace = true
repository = "https://github.com/commonwarexyz/monorepo/tree/main/examples/chat"
documentation = "https://docs.rs/commonware-chat"

[lints]
workspace = true

[dependencies]
chrono.workspace = true
clap.workspace = true
commonware-cryptography.workspace = true
commonware-macros.workspace = true
commonware-p2p.workspace = true
commonware-runtime.workspace = true
commonware-utils.workspace = true
crossterm.workspace = true
futures.workspace = true
prometheus-client.workspace = true
ratatui.workspace = true
serde_json.workspace = true
tracing.workspace = true
tracing-subscriber = { workspace = true, features = ["fmt", "json"] }

[[bin]]
name = "commonware-chat"
bench = false
